## prometheus-redis-exporter 1.16.0

=== Makefile ===

.PHONY: docker-all
docker-all: docker-env-up docker-test docker-env-down


.PHONY: docker-env-up
docker-env-up:
	docker-compose -f contrib/docker-compose-for-tests.yml up -d


.PHONY: docker-env-down
docker-env-down:
	docker-compose -f contrib/docker-compose-for-tests.yml down


.PHONY: docker-test
docker-test:
	docker-compose -f contrib/docker-compose-for-tests.yml up -d
	docker-compose -f contrib/docker-compose-for-tests.yml run --rm tests bash -c 'make test'



.PHONY: test
test: 
	TEST_REDIS_URI="redis://redis6:6379" \
	TEST_REDIS5_URI="redis://redis5:6383" \
	TEST_REDIS6_URI="redis://redis6:6379" \
	TEST_REDIS_2_8_URI="redis://redis-2-8:6381" \
	TEST_KEYDB01_URI="redis://keydb-01:6401" \
	TEST_KEYDB02_URI="redis://keydb-02:6402" \
	TEST_PWD_REDIS_URI="redis://:redis-password@pwd-redis5:6380" \
	TEST_USER_PWD_REDIS_URI="redis://exporter:exporter-password@pwd-redis6:6390" \
	TEST_REDIS_CLUSTER_MASTER_URI="redis://redis-cluster:7000" \
	TEST_REDIS_CLUSTER_SLAVE_URI="redis://redis-cluster:7005" \
	TEST_TILE38_URI="redis://tile38:9851" \
	TEST_REDIS_SENTINEL_URI="redis://redis-sentinel:26379" \
	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./...



.PHONY: checks
checks:
	go vet ./...
	echo "checking gofmt"
	echo " ! gofmt -d *.go       2>&1 | read " | bash
	echo "checking gofmt - DONE"

.PHONY: mixin
mixin:
	cd contrib/redis-mixin && \
	$(MAKE) all && \
	cd ../../

.PHONY: upload-coverage
upload-coverage:
	go get github.com/mattn/goveralls
	/go/bin/goveralls -coverprofile=coverage.txt -service=drone.io



BUILD_DT:=$(shell date +%F-%T)
GO_LDFLAGS:="-s -w -extldflags \"-static\" -X main.BuildVersion=${DRONE_TAG} -X main.BuildCommitSha=${DRONE_COMMIT_SHA} -X main.BuildDate=$(BUILD_DT)" 

.PHONE: build-binaries
build-binaries:
	go get github.com/oliver006/gox@master

	rm -rf .build | true

	export CGO_ENABLED=0 ; \
	gox -os="linux windows freebsd netbsd openbsd"        -arch="amd64 386" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="darwin solaris illumos"                      -arch="amd64"     -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="linux freebsd netbsd"                        -arch="arm"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="linux" -arch="arm64 mips64 mips64le ppc64 ppc64le s390x"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	echo "done"

=== debian/changelog ===
prometheus-redis-exporter (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unnecessary DH_GOPKG variable from debian/rules
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Mon, 01 Feb 2021 18:46:04 +0100

prometheus-redis-exporter (1.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Indent debian/watch file
  * Update Maintainer and version.BuildUser with new team address
  * Add debian/upstream/metadata file

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 17:30:07 +0100

prometheus-redis-exporter (1.13.1-2) unstable; urgency=medium

  * Team upload.
  * Change systemd service Restart directive from always to on-failure
  * Use '' instead of `' in text
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Remove $syslog dependency from init script
  * Add man:prometheus-redis-exporter(1) to systemd unit Documentation field
  * Switch from /var/run to /run
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Switch to debhelper-compat 13, no changes needed
  * Update copyright years
  * Add missing dependency on adduser
  * Add support for reload action to sysvinit init script

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:20:15 +0100

prometheus-redis-exporter (1.13.1-1) unstable; urgency=medium

  * Initial release, based on packaging work by Guillem Jover.
    (Closes: #954286)

 -- Michael Prokop <mika@debian.org>  Wed, 02 Dec 2020 23:21:19 +0100

=== debian/control ===
Source: prometheus-redis-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang (>= 1.17~),
 golang-any,
 golang-github-gomodule-redigo-dev (>= 1:1.8.3-1~),
 golang-github-prometheus-client-golang-dev,
 golang-github-prometheus-client-model-dev,
 golang-github-sirupsen-logrus-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
Homepage: https://github.com/oliver006/redis_exporter
XS-Go-Import-Path: github.com/oliver006/redis_exporter

Package: prometheus-redis-exporter
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Prometheus exporter for Redis metrics
 Supports Redis 2.x, 3.x, 4.x, 5.x, and 6.x.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# export DH_VERBOSE = 1

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/redis_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:

override_dh_auto_test:
	# The test suite requires a running redis-server.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-redis-exporter-$1.tar.gz/,\
      uversionmangle=s/-?(rc\.?\d+)/~$1/" \
  https://github.com/oliver006/redis_exporter/releases \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-redis-exporter 1.33.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 
 .PHONY: test
-test: 
+test:
+	contrib/tls/gen-test-certs.sh
 	TEST_REDIS_URI="redis://redis6:6379" \
 	TEST_REDIS5_URI="redis://redis5:6383" \
 	TEST_REDIS6_URI="redis://redis6:6379" \
@@ -36,7 +37,13 @@
 	TEST_REDIS_SENTINEL_URI="redis://redis-sentinel:26379" \
 	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./...
 
-
+.PHONY: lint
+lint:
+	#
+	# this will run the default linters on non-test files
+	# and then all but the "errcheck" linters on the tests
+	golangci-lint run --tests=false --exclude-use-default
+	golangci-lint run -D=errcheck   --exclude-use-default
 
 .PHONY: checks
 checks:
@@ -53,7 +60,7 @@
 
 .PHONY: upload-coverage
 upload-coverage:
-	go get github.com/mattn/goveralls
+	go install github.com/mattn/goveralls@v0.0.11
 	/go/bin/goveralls -coverprofile=coverage.txt -service=drone.io

=== debian/changelog ===
prometheus-redis-exporter (1.33.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:09:00 +0000

prometheus-redis-exporter (1.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Update man page and default file for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 22 Dec 2021 20:20:53 +0100

prometheus-redis-exporter (1.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Move instead of copy when renaming the daemon in debian/rules.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 13 Dec 2021 23:00:40 +0100

prometheus-redis-exporter (1.31.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Use @PACKAGE@ in debian/watch file instead of literal name.
  * Update gitlab-ci.yml from its new refactored template.
  * Update gbp.conf following latest Go Team workflow.
  * Update dependencies for new upstream release.
  * Update man page and default file for new upstream release.
  * Add myself to Uploaders.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 29 Nov 2021 20:33:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: prometheus-redis-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders:
+ Guillem Jover <gjover@sipwise.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang (>= 1.17~),
+ dh-sequence-golang,
  golang-any,
  golang-github-gomodule-redigo-dev (>= 1:1.8.3-1~),
  golang-github-prometheus-client-golang-dev,
  golang-github-prometheus-client-model-dev,
+ golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,14 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/redis_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/redis_exporter $(BUILDDIR)/bin/$(BINNAME)
 
 override_dh_auto_install:

## prometheus-redis-exporter 1.37.0

=== debian/changelog ===
prometheus-redis-exporter (1.37.0-2) unstable; urgency=medium

  * Set build variables correctly for --version and metrics.
    Reported by Michael Prokop <mprokop@sipwise.com>.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 23 Mar 2022 09:48:44 +0100

prometheus-redis-exporter (1.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 22 Mar 2022 17:22:18 +0100

prometheus-redis-exporter (1.36.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Mar 2022 01:26:49 +0100

## prometheus-redis-exporter 1.45.0

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	TEST_REDIS_URI="redis://redis6:6379" \
 	TEST_REDIS5_URI="redis://redis5:6383" \
 	TEST_REDIS6_URI="redis://redis6:6379" \
+	TEST_REDIS7_URI="redis://redis7:6384" \
 	TEST_REDIS_2_8_URI="redis://redis-2-8:6381" \
 	TEST_KEYDB01_URI="redis://keydb-01:6401" \
 	TEST_KEYDB02_URI="redis://keydb-02:6402" \
@@ -70,13 +71,14 @@
 
 .PHONE: build-binaries
 build-binaries:
-	go get github.com/oliver006/gox@master
+	go install github.com/oliver006/gox@master
 
 	rm -rf .build | true
 
 	export CGO_ENABLED=0 ; \
 	gox -os="linux windows freebsd netbsd openbsd"        -arch="amd64 386" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
 	gox -os="darwin solaris illumos"                      -arch="amd64"     -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
+	gox -os="darwin"                                      -arch="arm64"     -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
 	gox -os="linux freebsd netbsd"                        -arch="arm"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
 	gox -os="linux" -arch="arm64 mips64 mips64le ppc64 ppc64le s390x"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
 	echo "done"

=== debian/changelog ===
prometheus-redis-exporter (1.45.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 00:18:26 +0000

prometheus-redis-exporter (1.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Remove --help output from default file.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Nov 2022 19:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-redis-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Section: net
@@ -16,7 +15,7 @@
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter

## prometheus-redis-exporter 1.52.0

=== debian/changelog ===
prometheus-redis-exporter (1.52.0-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:23:48 +0530

prometheus-redis-exporter (1.52.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:50 +1200

prometheus-redis-exporter (1.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Switch to Standards-Version 4.6.2 (no changes needed).

 -- Guillem Jover <gjover@sipwise.com>  Thu, 10 Aug 2023 13:56:13 +0200

## prometheus-redis-exporter 1.54.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+.DEFAULT_GOAL := build
+
+.PHONY: build
+build:
+	go build .
+
 
 .PHONY: docker-all
 docker-all: docker-env-up docker-test docker-env-down
@@ -69,8 +75,19 @@
 BUILD_DT:=$(shell date +%F-%T)
 GO_LDFLAGS:="-s -w -extldflags \"-static\" -X main.BuildVersion=${DRONE_TAG} -X main.BuildCommitSha=${DRONE_COMMIT_SHA} -X main.BuildDate=$(BUILD_DT)" 
 
-.PHONE: build-binaries
-build-binaries:
+
+.PHONE: build-some-amd64-binaries
+build-some-amd64-binaries:
+	go install github.com/oliver006/gox@master
+
+	rm -rf .build | true
+
+	export CGO_ENABLED=0 ; \
+	gox -os="linux windows" -arch="amd64" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${DRONE_TAG}.{{.OS}}-{{.Arch}}/{{.Dir}}" && echo "done"
+
+
+.PHONE: build-all-binaries
+build-all-binaries:
 	go install github.com/oliver006/gox@master
 
 	rm -rf .build | true

=== debian/changelog ===
prometheus-redis-exporter (1.54.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 11:31:46 +1000

prometheus-redis-exporter (1.54.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:40:51 +1000

prometheus-redis-exporter (1.54.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:57:05 +0530

prometheus-redis-exporter (1.54.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 09 Sep 2023 01:22:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-redis-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Section: net
@@ -15,7 +16,7 @@
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,11 @@
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
 BUILDTAGS  :=
-BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
-  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags " \
+    -X main.BuildCommitSha=$(BRANCH)\
+    -X main.BuildDate=$(BUILD_DATE)\
+    -X main.BuildVersion=$(DEB_VERSION)\
+    -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
     -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
     -X $(METAPKG)/version.Branch=$(BRANCH)\
     -X $(METAPKG)/version.BuildUser=$(USER)\

## prometheus-redis-exporter 1.63.0

=== Makefile ===
.DEFAULT_GOAL := build

DOCKER_COMPOSE := $(if $(shell which docker-compose),docker-compose,docker compose)

.PHONY: build
build:
	go build .


.PHONY: docker-all
docker-all: docker-env-up docker-test docker-env-down


.PHONY: docker-env-up
docker-env-up:
	$(DOCKER_COMPOSE) -f docker-compose.yml up -d


.PHONY: docker-env-down
docker-env-down:
	$(DOCKER_COMPOSE) -f docker-compose.yml down


.PHONY: docker-test
docker-test:
	$(DOCKER_COMPOSE) -f docker-compose.yml up -d
	$(DOCKER_COMPOSE) -f docker-compose.yml run --rm tests bash -c 'make test'



.PHONY: test
test:
	contrib/tls/gen-test-certs.sh
	TEST_REDIS_URI="redis://localhost:16384" \
	TEST_REDIS5_URI="redis://localhost:16383" \
	TEST_REDIS6_URI="redis://localhost:16379" \
	TEST_VALKEY7_URI="redis://localhost:16384" \
	TEST_REDIS_2_8_URI="redis://localhost:16381" \
	TEST_KEYDB01_URI="redis://localhost:16401" \
	TEST_KEYDB02_URI="redis://localhost:16402" \
	TEST_PWD_REDIS_URI="redis://:redis-password@localhost:16380" \
	TEST_USER_PWD_REDIS_URI="redis://exporter:exporter-password@localhost:16390" \
	TEST_REDIS_CLUSTER_MASTER_URI="redis://localhost:17000" \
	TEST_REDIS_CLUSTER_SLAVE_URI="redis://localhost:17005" \
	TEST_REDIS_CLUSTER_PASSWORD_URI="redis://localhost:17006" \
	TEST_TILE38_URI="redis://localhost:19851" \
	TEST_REDIS_SENTINEL_URI="redis://localhost:26379" \
	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./... 

.PHONY: lint
lint:
	#
	# this will run the default linters on non-test files
	# and then all but the "errcheck" linters on the tests
	golangci-lint run --tests=false --exclude-use-default
	golangci-lint run -D=errcheck   --exclude-use-default

.PHONY: checks
checks:
	go vet ./...
	echo "checking gofmt"
	echo " ! gofmt -d *.go       2>&1 | read " | bash
	echo "checking gofmt - DONE"

.PHONY: mixin
mixin:
	cd contrib/redis-mixin && \
	$(MAKE) all && \
	cd ../../


BUILD_DT:=$(shell date +%F-%T)
GO_LDFLAGS:="-s -w -extldflags \"-static\" -X main.BuildVersion=${GITHUB_REF_NAME} -X main.BuildCommitSha=${GITHUB_SHA} -X main.BuildDate=$(BUILD_DT)"


.PHONE: build-some-amd64-binaries
build-some-amd64-binaries:
	go install github.com/oliver006/gox@master

	rm -rf .build | true

	export CGO_ENABLED=0 ; \
	gox -os="linux windows" -arch="amd64" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && echo "done"


.PHONE: build-all-binaries
build-all-binaries:
	go install github.com/oliver006/gox@master

	rm -rf .build | true

	export CGO_ENABLED=0 ; \
	gox -os="linux windows freebsd netbsd openbsd"        -arch="amd64 386" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="darwin solaris illumos"                      -arch="amd64"     -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="darwin"                                      -arch="arm64"     -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="linux freebsd netbsd"                        -arch="arm"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	gox -os="linux" -arch="arm64 mips64 mips64le ppc64 ppc64le s390x"       -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && \
	echo "done"

=== debian/changelog ===
prometheus-redis-exporter (1.63.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 01 Oct 2024 02:03:14 +0200

prometheus-redis-exporter (1.62.0-2) unstable; urgency=medium

  * Fix reference to KeyDB.
  * Correctly capitalize ValKey.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 09 Sep 2024 20:31:31 +0200

prometheus-redis-exporter (1.62.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Switch from Built-Using field to Static-Built-Using.
  * Update copyright years.
  * Update packaging to refer to ValKey and version 7.x instead of just Redis.
  * Update manual page for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 27 Aug 2024 20:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-redis-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Section: net
@@ -16,7 +15,7 @@
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter
@@ -30,7 +29,7 @@
  adduser,
  ${misc:Depends},
  ${shlibs:Depends},
-Built-Using:
- ${misc:Built-Using},
-Description: Prometheus exporter for Redis metrics
- Supports Redis 2.x, 3.x, 4.x, 5.x, and 6.x.
+Static-Built-Using:
+ ${misc:Static-Built-Using},
+Description: Prometheus exporter for ValKey metrics (Redis-compatible)
+ Supports ValKey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.

## prometheus-redis-exporter 1.67.0

=== contrib/redis-mixin/Makefile ===
JSONNET_FMT := jsonnetfmt -n 2 --max-blank-lines 2 --string-style s --comment-style s

# no lint for now, fails with a lot of errors and needs cleaning up first
all: deps fmt build clean

deps:
	go install github.com/monitoring-mixins/mixtool/cmd/mixtool@master
	go install github.com/google/go-jsonnet/cmd/jsonnetfmt@latest


fmt:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		xargs -n 1 -- $(JSONNET_FMT) -i

lint:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		while read f; do \
			$(JSONNET_FMT) "$$f" | diff -u "$$f" -; \
		done

	mixtool lint mixin.libsonnet

build:
	mixtool generate all mixin.libsonnet

clean:
	rm -rf dashboards_out alerts.yaml rules.yaml

=== debian/changelog ===
prometheus-redis-exporter (1.67.0-1) unstable; urgency=medium

  * New upstream release.
  * Set minimum golang-any version to >= 2:1.20~.
  * Match upstream Valkey capitalization.
  * Lowercase man page title.
  * Add reference to valkey-server(1) in prometheus-redis-exporter(1) man page.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 01 Feb 2025 00:23:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-any (>= 2:1.20~),
  golang-github-gomodule-redigo-dev (>= 1:1.8.3-1~),
  golang-github-prometheus-client-golang-dev,
  golang-github-prometheus-client-model-dev,
@@ -31,5 +31,5 @@
  ${shlibs:Depends},
 Static-Built-Using:
  ${misc:Static-Built-Using},
-Description: Prometheus exporter for ValKey metrics (Redis-compatible)
- Supports ValKey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
+Description: Prometheus exporter for Valkey metrics (Redis-compatible)
+ Supports Valkey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.

## prometheus-redis-exporter 1.68.0

=== debian/changelog ===
prometheus-redis-exporter (1.68.0-1) unstable; urgency=medium

  * New upstream release.
  * Sort debian/control fields in the same order as dh-make-golang generates.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Use _build as the build directory.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 14 Mar 2025 19:25:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # export DH_VERBOSE = 1
 
-BUILDDIR := $(CURDIR)/build
+BUILDDIR := $(CURDIR)/_build
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid

## prometheus-redis-exporter 1.69.0

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,21 @@
 	$(DOCKER_COMPOSE) -f docker-compose.yml run --rm tests bash -c 'make test'
 
 
+.PHONY: test-certs
+test-certs:
+	contrib/tls/gen-test-certs.sh
+
 
 .PHONY: test
 test:
-	contrib/tls/gen-test-certs.sh
-	TEST_REDIS_URI="redis://localhost:16384" \
+	TEST_VALKEY7_URI="valkey://localhost:16384" \
+	TEST_VALKEY8_URI="valkey://localhost:16382" \
+	TEST_VALKEY8_TLS_URI="valkeys://localhost:16386" \
+	TEST_REDIS7_TLS_URI="rediss://localhost:16387" \
+	TEST_REDIS_URI="redis://localhost:16385" \
+	TEST_REDIS7_URI="redis://localhost:16385" \
 	TEST_REDIS5_URI="redis://localhost:16383" \
 	TEST_REDIS6_URI="redis://localhost:16379" \
-	TEST_VALKEY7_URI="redis://localhost:16384" \
 	TEST_REDIS_2_8_URI="redis://localhost:16381" \
 	TEST_KEYDB01_URI="redis://localhost:16401" \
 	TEST_KEYDB02_URI="redis://localhost:16402" \
@@ -45,7 +52,8 @@
 	TEST_REDIS_CLUSTER_PASSWORD_URI="redis://localhost:17006" \
 	TEST_TILE38_URI="redis://localhost:19851" \
 	TEST_REDIS_SENTINEL_URI="redis://localhost:26379" \
-	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./... 
+	TEST_REDIS_MODULES_URI="redis://localhost:36379" \
+	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./...
 
 .PHONY: lint
 lint:
@@ -59,7 +67,7 @@
 checks:
 	go vet ./...
 	echo "checking gofmt"
-	echo " ! gofmt -d *.go       2>&1 | read " | bash
+	@if [ "$(shell gofmt -e -l . | wc -l)" -ne 0 ]; then exit 1; fi
 	echo "checking gofmt - DONE"
 
 .PHONY: mixin

=== debian/changelog ===
prometheus-redis-exporter (1.69.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 26 Mar 2025 23:59:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: prometheus-redis-exporter
+Section: net
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
-Section: net
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -14,8 +14,8 @@
  golang-github-prometheus-client-model-dev,
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/oliver006/redis_exporter/releases \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-redis-exporter 1.81.0

=== Makefile ===
--- 
+++ 
@@ -34,11 +34,13 @@
 
 .PHONY: test
 test:
+	TEST_REDIS_URI="redis://localhost:6379" \
 	TEST_VALKEY7_URI="valkey://localhost:16384" \
 	TEST_VALKEY8_URI="valkey://localhost:16382" \
+	TEST_VALKEY8_BUNDLE_URI="valkey://localhost:16389" \
 	TEST_VALKEY8_TLS_URI="valkeys://localhost:16386" \
 	TEST_REDIS7_TLS_URI="rediss://localhost:16387" \
-	TEST_REDIS_URI="redis://localhost:16385" \
+	TEST_REDIS8_URI="redis://localhost:16388" \
 	TEST_REDIS7_URI="redis://localhost:16385" \
 	TEST_REDIS5_URI="redis://localhost:16383" \
 	TEST_REDIS6_URI="redis://localhost:16379" \
@@ -49,10 +51,9 @@
 	TEST_USER_PWD_REDIS_URI="redis://exporter:exporter-password@localhost:16390" \
 	TEST_REDIS_CLUSTER_MASTER_URI="redis://localhost:17000" \
 	TEST_REDIS_CLUSTER_SLAVE_URI="redis://localhost:17005" \
-	TEST_REDIS_CLUSTER_PASSWORD_URI="redis://localhost:17006" \
+	TEST_VALKEY_CLUSTER_PASSWORD_URI="redis://localhost:17006" \
 	TEST_TILE38_URI="redis://localhost:19851" \
-	TEST_REDIS_SENTINEL_URI="redis://localhost:26379" \
-	TEST_REDIS_MODULES_URI="redis://localhost:36379" \
+	TEST_VALKEY_SENTINEL_URI="redis://localhost:26379" \
 	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./...
 
 .PHONY: lint
@@ -81,7 +82,7 @@
 GO_LDFLAGS:="-s -w -extldflags \"-static\" -X main.BuildVersion=${GITHUB_REF_NAME} -X main.BuildCommitSha=${GITHUB_SHA} -X main.BuildDate=$(BUILD_DT)"
 
 
-.PHONE: build-some-amd64-binaries
+.PHONY: build-some-amd64-binaries
 build-some-amd64-binaries:
 	go install github.com/oliver006/gox@master
 
@@ -91,7 +92,7 @@
 	gox -os="linux windows" -arch="amd64" -verbose -rebuild -ldflags $(GO_LDFLAGS) -output ".build/redis_exporter-${GITHUB_REF_NAME}.{{.OS}}-{{.Arch}}/{{.Dir}}" && echo "done"
 
 
-.PHONE: build-all-binaries
+.PHONY: build-all-binaries
 build-all-binaries:
 	go install github.com/oliver006/gox@master

=== debian/changelog ===
prometheus-redis-exporter (1.81.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.81.0
  * d/control: Update package description.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 18 Feb 2026 10:58:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prometheus-redis-exporter
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Rules-Requires-Root: no
@@ -32,4 +33,4 @@
 Static-Built-Using:
  ${misc:Static-Built-Using},
 Description: Prometheus exporter for Valkey metrics (Redis-compatible)
- Supports Valkey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
+ Supports Valkey 7.x, 8.x, 9.x and Redis.
